Summary
Replaces a component group document.
Description
Replaces a component group document.
Route
PUT /automation-studio/component-groups/:id
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Component group id. |
| update |
object |
yes |
Complete component group definition to replace the existing component group document with. May not contain field '_id'. |
Copied to Clipboard
{
"update": {
"name": "test",
"gbacRead": [
"sunt qui",
"nostrud nisi eu",
"consequat ea"
],
"members": [
{
"path": [
"in adipisicing elit occaecat",
"deserunt in dolor officia"
],
"type": "folder"
}
],
"_id": "632051cBe6fbb5BBe85ce882",
"version": 1
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"update": {
"title": "update",
"description": "Complete component group definition to replace the existing component group document with. May not contain field '_id'.",
"$ref": "componentGroupUpdate"
}
},
"required": [
"update"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Response object. |
Copied to Clipboard
{
"updated": {
"name": "test",
"gbacRead": [
"nostrud sit ullamco occaecat",
"ea nostrud",
"in in",
"quis",
"ullamco id eu Ut"
],
"members": [
{
"path": [
"incididunt commodo deserunt",
"velit"
],
"type": "folder"
},
{
"path": [
"sunt laborum mollit do",
"Excepteur exercitation ea ad",
"ut fugiat",
"consectetur",
"minim nisi in occaecat reprehenderit"
],
"type": "folder"
},
{
"path": [
"irure"
],
"type": "folder"
}
],
"_id": "aE52ec6a8E27D39Ba66CEAd3",
"description": "quis",
"gbacWrite": [
"sed est dolor",
"aute sed",
"veniam aliqua Excepteur est fugiat",
"dolore"
],
"version": 1
},
"edit": "consequat ullamco enim ad"
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"properties": {
"updated": {
"description": "Component group document after applying the update.",
"$ref": "componentGroup"
},
"edit": {
"type": "string",
"description": "URI to the edit page for the updated component group."
}
},
"required": [
"updated",
"edit"
]
}